import request from '@/utils/request'

// 查询收藏列表
export function getCollectionRoutesList(params) {
  return request({
    url: '/system/auth/favorite-menus',
    method: 'get',
    params
  })
}

// 添加收藏
export function addCollectionRoute(data) {
  return request({
    url: '/system/user-favorite-menu/create',
    method: 'post',
    data
  })
}

// 删除收藏
export function deleteCollectionRoute(id) {
  return request({
    url: `/system/user-favorite-menu/delete?id=${id}`,
    method: 'delete',
  })
}

